Mise à jour Python 3.10.8 obsolète

Bonjour,

Je suis sur HA-Core ( pas de superviseur )
J’ai ce message qui est apparue suite à la mise à jour 2023.6.0

La prise en charge de Python 3.10.8 est en cours de suppression
Ceci ne fonctionnera plus dans la version 2023.8. Veuillez y remédier avant de mettre à jour.
La prise en charge de l’exécution de Home Assistant avec la version de Python actuellement utilisée 3.10.8 est obsolète et sera supprimée dans Home Assistant 2023.8. Veuillez mettre à niveau Python vers 3.11 pour éviter que votre instance Home Assistant ne tombe en panne.

Comment faire cette mise à jour ?

Merci d’avance

Salut @Placidy

Si tu poses cette question, c’est à mon avis que de base tu n’as pas choisi la bonne méthode d’installation :wink:

Sinon de mémoire, il faut :

  • arrêter HA
  • supprimer le venv
  • upgrade de python ( la méthode c’est google + how to upgrade python + ta distrib).
  • Recréer le venv avec la nouvelle version de python.
  • Redémarrer HA

Evidemment il faut penser à sauvegarder (au cas où) ce que tu dois avoir dans (en gros backup de ta conf) :

/home/homeassistant/config

Sinon c’est peut-être le moment d’envisager une autre méthode d’installation :wink:

[EDIT] j’ai retrouvé un lien, mais attention il a déjà quelques temps :

3 « J'aime »

Merci pour ton retour @Herbs , je suis sur Proxmox, donc pas de souci pour la sauvegarde.
Pour l’installation, j’ai suivie ce tuto très très simple de tteck (Proxmox VE Helper Scripts | Scripts for Streamlining Your Homelab with Proxmox VE) avec le code pour installer Home Assistant Core LXC car je n’ai pas besoin d’un superviseur (zigbee2mqtt).
Je vais regarder pour upgradé python, et si je n’y arrive pas, je referais une nouvelle VM

Salut

Je ne comprend pas. Tu n’as pas besoin d’un superviseur zigbee2mqtt alors tu utilises Home Assistant Core ?
Pourquoi ne pas utiliser HAOS dans une VM ? ç’est beaucoup plus simple au niveau maintenance.

1 « J'aime »

HA Core est très légé et j’ai un conteneur avec Zigbee2MQTT à part

Salut
Leger, certes, mais en étant sur proxmox, tu as de toute façon une surcouche VM pour faire tourner le core, donc tu peux aussi avoir HAOS (comme la VM et qui n’est pas forcement plus lourd) voire si tu veux garder ta VM linux préférée, mettre HA supervised. Tout ça en faisant tourner un zigbee2mqt à part aussi.
Avoir un supervisor n’oblige pas à avoir des addons.

1 « J'aime »

Ou, encore, une autre option. Là où tu as z2m, rajouter HA Container sur cette même VM.
Comme l’a souligné @Herbs installer HA Core (même avec un script qui fait tout tout seul) et poser la question d’une erreur Python, c’est, je pense, ne pas avoir la « bonne » méthode d’installation de HA.

1 « J'aime »

Non pas sur une VM mais sur un conteneur LXC

1 « J'aime »